Package com.smartgwt.logicalstructure.widgets

# Class ScrollbarLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StretchImgLogicalStructure
com.smartgwt.logicalstructure.widgets.ScrollbarLogicalStructure

public class ScrollbarLogicalStructure extends StretchImgLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `allowThumbDownState`
  `String`
  `allowThumbOverState`
  `String`
  `autoEnable`
  `String`
  `btnSize`
  `StretchItem`
  `cornerImg`
  `String`
  `cornerSize`
  `String`
  `cornerSrc`
  `StretchItem`
  `endImg`
  `String`
  `endThumbOverlap`
  `String`
  `hSrc`
  `Canvas`
  `scrollTarget`
  `String`
  `showCorner`
  `String`
  `showTrackButtons`
  `String`
  `showTrackEnds`
  `String`
  `skinImgDir`
  `StretchItem`
  `startImg`
  `String`
  `startThumbOverlap`
  `String`
  `thumbInset`
  `String`
  `thumbMinSize`
  `String`
  `thumbOverlap`
  `String`
  `trackEndHeight`
  `StretchItem`
  `trackEndImg`
  `String`
  `trackEndWidth`
  `StretchItem`
  `trackImg`
  `StretchItem`
  `trackStartImg`
  `String`
  `vSrc`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.StretchImgLogicalStructure

  `capSize, gripImgSuffix, ignoreRTL, imageType, itemBaseStyle, items, showDownGrip, showGrip, showRollOverGrip, showTitle, src, vertical`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure

  `actionType, align, ariaLabel, autoFit, baseStyle, editProxyConstructor, heightAsString, icon, iconHeight, iconOrientation, iconSize, iconStyle, iconWidth, labelHPad, labelVPad, overCanvasConstructor, radioGroup, redrawOnStateChange, selected, showDisabled, showDisabledIcon, showDown, showDownIcon, showFocused, showFocusedAsOver, showFocusedIcon, showMenuOnClick, showOverCanvas, showRollOver, showRollOverIcon, showRTLIcon, showSelectedIcon, state, styleName, title, valign, vIconStyle, widthAsString`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScrollbarLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### allowThumbDownState

    public String allowThumbDownState

  - ### allowThumbOverState

    public String allowThumbOverState

  - ### autoEnable

    public String autoEnable

  - ### btnSize

    public String btnSize

  - ### cornerImg

    public StretchItem cornerImg

  - ### cornerSize

    public String cornerSize

  - ### cornerSrc

    public String cornerSrc

  - ### endImg

    public StretchItem endImg

  - ### endThumbOverlap

    public String endThumbOverlap

  - ### hSrc

    public String hSrc

  - ### scrollTarget

    public Canvas scrollTarget

  - ### showCorner

    public String showCorner

  - ### showTrackButtons

    public String showTrackButtons

  - ### showTrackEnds

    public String showTrackEnds

  - ### skinImgDir

    public String skinImgDir

  - ### startImg

    public StretchItem startImg

  - ### startThumbOverlap

    public String startThumbOverlap

  - ### thumbInset

    public String thumbInset

  - ### thumbMinSize

    public String thumbMinSize

  - ### thumbOverlap

    public String thumbOverlap

  - ### trackEndHeight

    public String trackEndHeight

  - ### trackEndImg

    public StretchItem trackEndImg

  - ### trackEndWidth

    public String trackEndWidth

  - ### trackImg

    public StretchItem trackImg

  - ### trackStartImg

    public StretchItem trackStartImg

  - ### vSrc

    public String vSrc

- ## Constructor Details

  - ### ScrollbarLogicalStructure

    public ScrollbarLogicalStructure()